Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest.NonOverwritingTestPastContent

    java.lang.Object
      rice.p2p.past.testing.PastRegrTest.TestPastContent
          rice.p2p.past.testing.PastRegrTest.VersionedTestPastContent
              rice.p2p.past.testing.PastRegrTest.NonOverwritingTestPastContent

All Implemented Interfaces:
  PastContent, java.io.Serializable

Enclosing class:
  PastRegrTest

protected static class PastRegrTest.NonOverwritingTestPastContent
extends PastRegrTest.VersionedTestPastContent

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.p2p.past.testing.PastRegrTest.VersionedTestPastContent
`version`

Fields inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`existing, id`

Constructor Summary
`PastRegrTest.NonOverwritingTestPastContent(Id id, int version)` Constructor for NonOverwritingTestPastContent.

Method Summary
`PastContent` | `checkInsert(Id id, PastContent existingContent)` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.past.testing.PastRegrTest.VersionedTestPastContent
`equals, toString`

Methods inherited from class rice.p2p.past.testing.PastRegrTest.TestPastContent
`getHandle, getId, isMutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PastRegrTest.NonOverwritingTestPastContent

    public PastRegrTest.NonOverwritingTestPastContent(Id id,
                                                      int version)

  Constructor for NonOverwritingTestPastContent.

Parameters:
  `id` - DESCRIBE THE PARAMETER
  `version` - DESCRIBE THE PARAMETER

Method Detail

### checkInsert

    public PastContent checkInsert(Id id,
                                   PastContent existingContent)
                            throws PastException

  DESCRIBE THE METHOD

  Specified by:
    `checkInsert` in interface `PastContent`
  Overrides:
    `checkInsert` in class `PastRegrTest.TestPastContent`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `existingContent` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `PastException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.